Loading...
Searching...
No Matches
_ocsd_decode_stats Struct Reference
OpenCSD Library : Interfaces

`#include <ocsd_if_types.h>`

Collaboration diagram for _ocsd_decode_stats:
[legend]

## Public Attributes

uint32_t | version
uint16_t | revision
uint64_t | channel_total
uint64_t | channel_unsynced
uint32_t | bad_header_errs
uint32_t | bad_sequence_errs
ocsd_demux_stats_t | demux

## Detailed Description

Definition at line 671 of file ocsd_if_types.h.

## Member Data Documentation

## bad_header_errs

uint32_t _ocsd_decode_stats::bad_header_errs

number of bad packet header errors

Definition at line 677 of file ocsd_if_types.h.

## bad_sequence_errs

uint32_t _ocsd_decode_stats::bad_sequence_errs

number of bad packet sequence errors

Definition at line 678 of file ocsd_if_types.h.

## channel_total

uint64_t _ocsd_decode_stats::channel_total

total bytes processed for this channel

Definition at line 675 of file ocsd_if_types.h.

## channel_unsynced

uint64_t _ocsd_decode_stats::channel_unsynced

number of unsynced bytes processed on this channel

Definition at line 676 of file ocsd_if_types.h.

## demux

ocsd_demux_stats_t _ocsd_decode_stats::demux

global demux stats block

Definition at line 680 of file ocsd_if_types.h.

## revision

uint16_t _ocsd_decode_stats::revision

revision number - defines the structure version for the stats.

Definition at line 673 of file ocsd_if_types.h.

## version

uint32_t _ocsd_decode_stats::version

library version number

Definition at line 672 of file ocsd_if_types.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/opencsd/ocsd_if_types.h